## org.eclipse.emf.ecoretools.diagram.edit.policies
Class OpenDiagramEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy
              org.eclipse.emf.ecoretools.diagram.edit.policies.OpenDiagramEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class OpenDiagramEditPolicy

extends org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy

Nested Class Summary
`static class` `OpenDiagramEditPolicy.OpenDiagramCommand` This command open a Dialog used to manage existing diagrams.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`OpenDiagramEditPolicy()`

Method Summary
`protected org.eclipse.gef.commands.Command` `getOpenCommand(org.eclipse.gef.Request request)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy
`getCommand, getTargetEditPart, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenDiagramEditPolicy

    public OpenDiagramEditPolicy()

Method Detail

### getOpenCommand

    protected org.eclipse.gef.commands.Command getOpenCommand(org.eclipse.gef.Request request)

  Specified by:
    `getOpenCommand` in class `org.eclipse.gmf.runtime.diagram.ui.editpolicies.OpenEditPolicy`
  See Also:
    `OpenEditPolicy.getOpenCommand(org.eclipse.gef.Request)`

Copyright 2007 Anyware Technologies. All Rights Reserved.